#!/bin/csh

if ($#argv != 5) then
   echo "Absorbance Correction for an IR spectral image."
   echo "Usage:"
   echo "  absIR.com irTemplate bgTemplate outDir outTemplate bgScale"
   echo "Example:"
   echo " absIR.com sil_ft/ir%03d.dat bak_ft/ir%03d.dat sil_abs ir%03d.dat 1.0"
   exit 0
endif

set specName   = (`echo $1 | sed -e 's/%03d/%03.0f/'`)
set bgName     = (`echo $2 | sed -e 's/%03d/%03.0f/'`)
set outDir     = ($3)
set outName    = (`echo $4 | sed -e 's/%03d/%03.0f/'`)
set scale      = ($5)

if ((-e $outDir) && !(-d $outDir)) then
   echo "abs.com error: $outDir exists, but is not a directory."
   exit 1
endif

if (!(-d $outDir)) then
   mkdir $outDir
endif

M $NMRTXT/absIR.M -var scale $scale \
   -str specName $specName bgName $bgName outName $outDir/$outName -quit
