#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts stderr "$argv0: Add Spectral Parameter List to a PostScript Plot."    
    puts stderr " -plotName \[None\]  Name of PostScript Plot to Adjust."
    puts stderr " -specName \[None\]  Name of Spectrum for Parameter List."
    exit 0
   }

set plotName None
set specName None

getArgD $ARGV -plotName plotName
getArgD $ARGV -specName specName

#
#----------------------------------------------------------------------------

if {![strcasecmp $plotName None] || ![strcasecmp $plotName stdout]} \
   {
    set plotUnit stdout
   } \
elseif {![strcasecmp $plotName stderr]} \
   {
    set plotUnit stderr
   } \
else \
   {
    set error [catch {set plotUnit [open $plotName "a+"]}]
   }

puts $plotUnit "%"
puts $plotUnit "% $argv0:"
puts $plotUnit "% $argv"
puts $plotUnit "%"

set thisName [format $specName 1 1]
set result   [exec showhdr -verb $thisName -prefix "% "]
set error    [rdFDATA $thisName fdata]

puts $plotUnit $result

flush $plotUnit

if {[strcasecmp $plotUnit stdout] && [strcasecmp $plotUnit stderr]} \
   {
    close $plotUnit
   }

exit
