#!/bin/csh

set xsw = 5000.0

if ($#argv > 8) then
   set xsw = $9
endif

if ($#argv < 8) then
   echo Create Generic Apodize File for NLINLS.
   echo Usage: 
   echo $0 timeSize freqSize outName apodName apodQ1 apodQ2 apodQ3 c
   echo $0 timeSize freqSize outName apodName apodQ1 apodQ2 apodQ3 c swHz
   echo Examples: 
   echo " $0 77 128 apod.x SP 0.5 0.98 1 0.5"
   echo " $0 512 1024 apod.x GM 10.0 35.0 0.0 0.5 8500.0"
else
   if ($4 == None) then
      simTimeND -in None -ndim 1 -xT $1 -xN $2 -xSW $xsw -xLAB NMR \
      | nmrPipe -fn SET -c 1.0       \
      | nmrPipe -fn EM -lb 0.0 -c $8 \
      | nmrPipe -fn ZF -size $2      \
         -out $3 -ov
   else
      simTimeND -in None -ndim 1 -xT $1 -xN $2 -xSW $xsw -xLAB NMR \
      | nmrPipe -fn SET -c 1.0                                \
      | nmrPipe -fn APOD -qName $4 -q1 $5 -q2 $6 -q3 $7 -c $8 \
      | nmrPipe -fn ZF -size $2                               \
         -out $3 -ov
   endif

   echo REMARK $4 $3 Q1 $5 Q2 $6 Q3 $7 C $8 XT $1 SW $xsw
endif
