#!/bin/csh

if ($#argv < 12) then
   echo Create Generic Apodize File for NLINLS.
   echo Usage: 
   echo $0 timeSize freqSize outName apodName apodQ1 apodQ2 apodQ3 elb glb goff c swHz
   echo Examples: 
   echo " $0  77  128 apod.x SP  0.5 0.98 1   1.0 0.0 0.0 0.5"
   exit 0
endif

if ($4 == None) then
   simTimeND -in None -ndim 1 -xT $1 -xN $2 -xSW $12 -xLAB NMR \
   | nmrPipe -fn SET -c 1.0       \
   | nmrPipe -fn EM -lb 0.0 -c $8 \
   | nmrPipe -fn ZF -size $2      \
      -out $3 -ov
else
   simTimeND -in None -ndim 1 -xT $1 -xN $2 -xSW $12 -xLAB NMR \
   | nmrPipe -fn SET -c 1.0 \
   | nmrPipe -fn APOD -qName $4 -q1 $5 -q2 $6 -q3 $7 -elb $8 -glb $9 -goff $10 -c $11 \
   | nmrPipe -fn ZF -size $2 \
      -out $3 -ov

   echo "#  $4 $3 Q1 $5 Q2 $6 Q3 $7 ELB $8 GLB $9 GOFF $10 C $11 XT $1 SW $12"
endif

