#!/bin/csh

if (`flagLoc $argv -help` || $#argv == 1) then
   echo "Process One or More Data Sets with NMRPipe."
   echo " Specify Data to Process as a List of Directories:"
   echo "  autoPipeN.com -dirList dir1 dir2 ... -argList autoPipeOptions ..."
   echo " Specify Data to Process as a List of autoPipe.com Arguments:"
   echo "  autoPipeN.com -dirInfo autoPipeOptions1 ... -- autoPipeOptions2 ..."
   echo " Specify Number of Simultaneous Jobs:"
   echo "  -nMax nMax" 
   echo "Examples:"
   echo "  autoPipeN.com -dirList * -argList -cleanOnly"
   echo "  autoPipeN.com -dirList * -argList -nograph"
   exit 0
endif

set argList = (`getListArgDN $argv -argList -- None`) 
set nMax    = (`getArgD $argv -nMax 1`)
set n       = 0

if ("$argList" == "None" || "$argList" == "NONE" || "$argList" == "none") then
endif

if (`flagLoc $argv -dirList`) then
   foreach i ($argv[1-])
      if (-d $i) then
         @ n++

         set nID = (`IMATH $n % $nMax`)
         @ nID++

         if ($nID == 1) then
            echo "AUTOPIPE-N: autoPipe.com -cd $i -args $argList"
            autoPipe.com -nID $nID -cd $i -args $argList
         else
            echo "AUTOPIPE-N: autoPipe.com -cd $i -args $argList &"
            xterm -e autoPipe.com -nID $nID -cd $i -args $argList &
         endif
      endif
   end

   exit 0
endif
