#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Delete Previous Results from Spectral Directories Listed in a Metadata Table:"
   echo " -meta    metaName   [meta.tab]          Metadata Table (INDEX DIR_NAME TITLE)."
   echo "Cleaning Command to Execute; Should be Last on Command-Line:"
   echo " -cmnd    cleanCmnd  [genericClean.com]  Cleaning Command to Execute."
   exit 0
endif

set thisCmnd = "genericClean.com"
set loc      = (`flagLoc $argv -cmnd`)
set thisArgv = ($argv)

if ($loc >= 1) then
   @ locP = $loc - 1
   @ locN = $loc + 1

   set thisCmnd = ($argv[$locN-])
   set thisArgv = ($argv[1-$locP])
endif

set tabName = (`getArgD $thisArgv -meta    meta.tab`)
set srcDir  = (`getArgD $thisArgv -srcDir  .`)

#
#----------------------------------------------------------------------------------

if (`string csame $tabName None`) then
   exit 0
endif

set origDir = (`pwd`)

cd $srcDir
   set srcDirFull = (`pwd`)
cd $origDir

set dirList = (`getTabCol.tcl -in $tabName -var DIR_NAME`)

@ i = 0

foreach d ($dirList)
   @ i++

   cd $srcDir/$d
      echo "Cleaning Directory $i of $#dirList"':' $srcDir/$d "..."
      $thisCmnd
   cd $origDir
end

exit 0
