#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

proc modelProc {} \
{
   global xList pList yModel

   set amp   [lindex $pList 0]
   set alpha [lindex $pList 1]

   foreach x $xList \
      {
       set y [expr $amp*exp( $alpha*$x )]

       lappend yModel $y
      }
}

set x {1 2 3 4 5 6}
set y {8.2436064 13.591409 22.408445 36.94528 60.91247 100.42768}
set n {1 1 1 1 1 1}
set p {1.0 1.0}

set result \
 [modelXY -x $x -y $y -p $p -macro modelProc -noise $n -gc 10 -verb]

puts $result

exit
