#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts "Report Graphics Adjustments to Compensate for Mac OS X Dock."
    puts " -nomac  No Adjustment; Intended for Use with Remote Display."
    puts " -brief  Report Only: xAdj yAdj xOff yOff"
    exit 0
   }

set dockSize   68 
set dockOrient bottom

set xAdj       0
set yAdj      84 
set xOff       0
set yOff       0

catch {set aInfo [exec defaults read com.apple.dock]}
if {![info exists aInfo]} {set aInfo ""}

set n  [string length $aInfo]

if {$n} \
   {
    catch {set dockSize [exec defaults read com.apple.dock tilesize]}

    if {![info exists dockSize]}        {set dockSize 68}
    if {![string is integer $dockSize]} {set dockSize 68}

    catch {set dockOrient [exec defaults read com.apple.dock orientation]}
    if {![info exists dockOrient]} {set dockOrient bottom}

#   catch {set wxInfo [exec xwininfo -root | fgrep " Width:"]}
#   catch {set wyInfo [exec xwininfo -root | fgrep " Height:"]}

    set key [string index $dockOrient 0]

    if {![strcasecmp $key r]} \
       {
        incr dockSize 12
        set xAdj $dockSize
       } \
    elseif {![strcasecmp $key l]} \
       {
        incr dockSize 14
        set xAdj $dockSize
        set xOff $dockSize 
       } \
    elseif {![strcasecmp $key t]} \
       {
        incr dockSize 18
        set yAdj $dockSize
        set yOff $dockSize 
       } \
    else \
       {
        incr dockSize 18
        set yAdj $dockSize
       }
   }

getArgD $ARGV -xAdj xAdj
getArgD $ARGV -yAdj yAdj

if {[flagLoc $ARGV -brief]} \
   {
    puts "$xAdj $yAdj $xOff $yOff"
   } \
else \
   {
    if {[flagLoc $ARGV -geom] || [flagLoc $ARGV -geometry] || [flagLoc $ARGV -position]} \
       {
        puts "-xAdj $xAdj -yAdj $yAdj"
       } \
    else \
       {
        puts "-xAdj $xAdj -yAdj $yAdj -position $xOff $yOff"
       }
   }

exit 0
