#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts "Generate a List of Equally-Spaced Values:"
    puts " -x1    x1      \[1\]      Start Value."
    puts " -step  xStep   \[1\]      Increment."
    puts " -fmt   fmt     \[%s\]     Output Format."
    puts "Specifying Endpoint (Use Only One):"
    puts " -n     n       \[10\]     Number of Values to List."
    puts " -xn    xn      \[Auto\]   Final Value to List."
    exit 0
   }

set x1    1
set xn    Auto
set xStep 1
set n     10
set fmt   %s

getArgD $ARGV -x1    x1
getArgD $ARGV -xn    xn
getArgD $ARGV -step  xStep
getArgD $ARGV -n     n
getArgD $ARGV -fmt   fmt

set xList ""
set x $x1

if {![strcasecmp $xn Auto] && [string is integer $n]} \
   {
    for {set i 0} {$i < $n} {incr i} \
       {
        lappend xList [format $fmt $x]
        set x [expr $x + $xStep]
       }

   } \
else \
   {
    while {$x <= $xn} \
       {
        lappend xList [format $fmt $x]
        set x [expr $x + $xStep]
       }
   }

puts $xList

exit 0
