#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts "Report Graphics Adjustments to Compensate for Command Panels."
    puts " -noadj  No Adjustment; Intended for Use with Remote Display."
    puts " -brief  Report Only: xAdj yAdj xOff yOff"
    exit 0
   }

set thisInfo [getRootWindowAdj]

set xAdj     [lindex $thisInfo 0] 
set yAdj     [lindex $thisInfo 1]
set xOff     $xAdj 
set yOff     0

getArgD $ARGV -xAdj xAdj
getArgD $ARGV -yAdj yAdj

if {[flagLoc $ARGV -brief]} \
   {
    puts "$xAdj $yAdj $xOff $yOff"
   } \
else \
   {
    if {[flagLoc $ARGV -geom] || [flagLoc $ARGV -geometry] || [flagLoc $ARGV -position]} \
       {
        puts "-xAdj $xAdj -yAdj $yAdj"
       } \
    else \
       {
        puts "-xAdj $xAdj -yAdj $yAdj -position $xOff $yOff"
       }
   }

exit 0
