#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Find a NUS Sampling Schedule:"
   echo " -sample sName \[Auto\]   Default Sample Schedule Name, or Keyword Auto None."
   echo " -extra  eList \[None\]   Additional Files to Check for, or Keyword None."
   exit 0
endif

set schedName = (`getArgD     $argv -sample Auto`)
set extraList = (`getListArgD $argv -extra  -- None`)

if (-e procpar) then
   set fList = (sampling.sch nuslist `find ./ -maxdepth 1 -name schedule\[0-9\]\* -print` `find ./ -maxdepth 1 -name \*.hdr_3 -print` fake.nuslist $extraList None)
else
   set fList = (nuslist sampling.sch `find ./ -maxdepth 1 -name schedule\[0-9\]\* -print` `find ./ -maxdepth 1 -name \*.hdr_3 -print` fake.nuslist $extraList None)
endif

if (`string csame $schedName None`) then
   echo None
   exit 0
endif

if (`string csame $schedName Auto`) then
   foreach thisName ($fList)
      if (-e $thisName) then
         echo $thisName
         exit 0
      endif
   end
else
   if (-e $schedName) then
      echo $schedName
      exit 0
   endif
endif

echo $schedName

exit 0
