#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Extract Phase Correction Values as -xP0 ... Options:"
   echo "getPSInfo.com -in inName"
   exit 0
endif

set inName = (`getArgD $argv -in ft/test%03d.ft3`)

set xP0 = (`getParm -in $inName -parm NDP0 -dim ABS_XDIM`)
set xP1 = (`getParm -in $inName -parm NDP1 -dim ABS_XDIM`)

set yP0 = (`getParm -in $inName -parm NDP0 -dim ABS_YDIM`)
set yP1 = (`getParm -in $inName -parm NDP1 -dim ABS_YDIM`)

set zP0 = (`getParm -in $inName -parm NDP0 -dim ABS_ZDIM`)
set zP1 = (`getParm -in $inName -parm NDP1 -dim ABS_ZDIM`)

set aP0 = (`getParm -in $inName -parm NDP0 -dim ABS_ADIM`)
set aP1 = (`getParm -in $inName -parm NDP1 -dim ABS_ADIM`)

set dimCount = (`getParm -in $inName -parm FDDIMCOUNT -dim NULL_DIM -fmt %.0f`)

if ($dimCount == 1) then
   nmrPrintf "-xP0 %.1f -xP1 %.1f" $xP0 $xP1
else if ($dimCount == 2) then
   nmrPrintf "-xP0 %.1f -xP1 %.1f -yP0 %.1f -yP1 %.1f" $xP0 $xP1 $yP0 $yP1
else if ($dimCount == 3) then
   nmrPrintf "-xP0 %.1f -xP1 %.1f -yP0 %.1f -yP1 %.1f -zP0 %.1f -zP1 %.1f" $xP0 $xP1 $yP0 $yP1 $zP0 $zP1
else
   nmrPrintf "-xP0 %.1f -xP1 %.1f -yP0 %.1f -yP1 %.1f -zP0 %.1f -zP1 %.1f -aP0 %.1f -aP1 %.1f" $xP0 $xP1 $yP0 $yP1 $zP0 $zP1 $aP0 $aP1
endif
