#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
#   puts "List MFR -excl Sources with Sequence Identical to Input CS Table:"
#   puts " $argv0 -autoExcl -in inName \[-star inName\]"
    exit 0
   }

#
# Auto-exclude is the default mode.
# -excl overrides auto options.
# Explicit use of -autoExcl overrides -noautoExcl

if {[flagLoc  $ARGV -excl]} {exit 0}

if {![flagLoc $ARGV -autoExcl]} \
   {
    if {[flagLoc  $ARGV -noautoExcl]} {exit 0}
   }

set inName csObs.tab 

getArgD $ARGV -cs   inName
getArgD $ARGV -star inName

if {![strcasecmp $inName None]} {exit 0} 
if {![file exists $inName]}     {exit 0} 

set inTab  [gdbRead table -in $inName]
set seqTab [gdbRead table -in $env(PDBH_BASE)/seqlist.tab]
set entry  [gdbFirst $seqTab]

set r1 0
set rN 0

set seqList  [getSeqList $inTab r1 rN]
set exclList ""

if {![llength $seqList]} {exit 0} 

set seqStr ""

foreach resName $seqList {append seqStr $resName}

while {$entry} \
   {
    set s [gdbGet $entry PDB_NAME]
    set thisSeq [gdbGet $entry SEQUENCE]

    if {![strcasecmp $thisSeq $seqStr]} {lappend exclList $s}
    set entry [gdbNext $entry]
   }

if {[llength $exclList]} {puts "-excl $exclList"}

exit 0
