#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path    "[split $env(TCLPATH) :] $auto_path"

#
# Example of Notebook Widget:

Notebook:create .n -pages {One Two Three Four Five} -pad 20
pack .n -fill both -expand 1

set   w [Notebook:frame .n One]
label $w.l -text "Hello.\nThis is page one"
pack  $w.l -side top -padx 10 -pady 50

set  w [Notebook:frame .n Two]
text $w.t -font fixed -yscrollcommand "$w.sb set" -width 40
$w.t insert end "This is a text widget.  Type in it, if you want\n"
pack $w.t -side left -fill both -expand 1

scrollbar $w.sb -orient vertical -command "$w.t yview"
pack      $w.sb -side left -fill y

set   w [Notebook:frame .n Three]
frame $w.f
pack  $w.f -padx 30 -pady 30
set   p3 red

foreach c {red orange yellow green blue violet} \
  {
   radiobutton $w.f.$c -fg $c -text $c -variable p3 -value $c -anchor w
   pack $w.f.$c -side top -fill x
  }

set   w [Notebook:frame .n Four]
frame $w.f
pack  $w.f -padx 30 -pady 30

button $w.f.b -text {Goto} -command [format {
  set i [%s cursel]
  if {[string length $i]>0} {
    Notebook:raise .n [%s get $i]
  }
} $w.f.lb $w.f.lb]

pack    $w.f.b -side bottom -expand 1 -pady 5

listbox   $w.f.lb -yscrollcommand "$w.f.sb set"
scrollbar $w.f.sb -orient vertical -command "$w.f.lb yview"
pack      $w.f.lb -side left -expand 1 -fill both
pack      $w.f.sb -side left -fill y

$w.f.lb insert end One Two Three Four Five

set    w [Notebook:frame .n Five]
button $w.b -text Exit -command exit
pack   $w.b -side top -expand 1
