#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

set thisVersion "2018.162.16.33"

#
# Utility to draw strips for nmrDraw

if {[flagLoc $ARGV -help]} \
   {
    puts "Utility Used by NMRDraw to Draw Strips of 3D Spectra:"
    puts " -thisIn  inName  \[ft/test%03d.ft3\]   3D Spectrum Input to Include."
    puts " -tab     tabName \[Auto\]              2D Table for strip locations."
    puts " -ns      ns      \[None\]              Maximum Number of Strips."
    puts " -hi      hi      \[Auto\]              Height for Strip Drawing."
    puts " -xVar    xVar    \[X_PPM\]             X-Axis Variable from 2D Table."
    puts " -yVar    yVar    \[Y_PPM\]             X-Axis Variable from 2D Table."
    puts "Auto Mode 2D Table from Projections:"
    puts " -projDir dirName \[ftproj\]            Directory 2D Projections of 3D Input."
    puts " -orient  orient  \[Auto\]              Projection Orientation: Auto xy xz."
    puts " -pkHi    pkHi    \[Auto\]              Height for 2D Peak Detection."
    exit 0
   }

set inName    ft/test%03d.ft3 
set tabName   Auto
set maxStrips None
set hi        Auto

set xVar      X_PPM
set yVar      Y_PPM

set projDir   "."
set orient    Auto
set pkHi      Auto

set nusFlag   0

getArgD $ARGV -thisIn   inName
getArgD $ARGV -tab      tabName
getArgD $ARGV -ns       maxStrips
getArgD $ARGV -hi       hi

getArgD $ARGV -xVar xVar
getArgD $ARGV -yVar yVar

getArgD $ARGV -projDir projDir
getArgD $ARGV -orient  orient
getArgD $ARGV -pkHi    pkHi

if {[flagLoc $ARGV -nus]}   {set nusFlag 1}
if {[flagLoc $ARGV -nonus]} {set nusFlag 0}
if {[flagLoc $ARGV -us]}    {set nusFlag 0}

if {[file exists scroll.com]} \
   {
    puts "nmrDrawStrips.tcl: scroll.com [lrange $argv 2 end] &"
    catch "exec scroll.com [lrange $argv 2 end] &"
   } \
else \
   {
    puts "nmrDrawStrips.tcl: scrollMaster.com [lrange $argv 2 end] &"
    catch "exec scrollMaster.com [lrange $argv 2 end] &"
   }

exit 0
