#!/bin/csh -f

#
# NMRPipe System Environment generic script, Thu Nov 1 17:24:13 PDT 2012.

set thisBinType = linux9
set thisBase    = `echo ~`

set i = 1

while ($i <= $#argv)
   set aStr = "$argv[$i]"

   if ("$aStr" == "+help" || "X$aStr" == "X-help") then
      echo "nmrInit.generic.com -base baseDir -bintype bintypeName"
      exit 0
   else if ("$aStr" == "+bintype" || "X$aStr" == "X-bintype") then
      @ i++
      set thisBinType = $argv[$i]
   else if ("$aStr" == "+base" || "X$aStr" == "X-base") then
      @ i++
      set thisBase = $argv[$i]
   endif

   @ i++
end

exit 0

#
# Standard Expiration Override:
# setenv NMR_CONT CORRECT_ALL

#
# NMRPipe I/O Optimization.
# These settings may improve NMRPipe pipeline performance:

setenv NMR_IO_TIMEOUT 0
setenv NMR_IO_SELECT  0
setenv NMR_AUTOSWAP   1

alias u      'chmod a+rx *.com *.tcl'

#set   history = 256
#alias h      'history'
#alias rm     'rm -i'
#alias cd     'cd \!*; set prompt = "$cwd% "'
#alias dirs   'ls -l | egrep -e ^d'
#alias links  'ls -l | egrep -e ^l'

if ($?MANPATH) then
   setenv MANPATH ${thisBase}/man:/usr/share/man:${MANPATH}
else
   setenv MANPATH ${thisBase}/man:/usr/share/man
endif

set path = (. ${thisBase}/nmrbin.${thisBintype} ${thisBase}/com $path)

if ($?LD_LIBRARY_PATH) then
   setenv LD_LIBRARY_PATH ${thisBase}/nmrbin.${thisBintype}/lib:${LD_LIBRARY_PATH}
else
   setenv LD_LIBRARY_PATH ${thisBase}/nmrbin.${thisBinType}/lib
endif

if (!($?OPENWINHOME)) then
   if (-d ${thisBase}/nmrbin.${thisBintype}/openwin) then
      setenv OPENWINHOME ${thisBase}/nmrbin.${thisBintype}/openwin
   endif
endif

setenv NMRCHECK        ALL
setenv NMRBASE         $thisBase
setenv NMRBINTYPE      $thisBintype
setenv NMRTXT          $thisBase/nmrtxt
setenv NMRBIN          $thisBase/nmrbin.$thisBintype
setenv TCLPATH         $thisBase/com
setenv TALOS_DIR       $thisBase/talos
setenv TALOSP_DIR      $thisBase/talosplus
setenv SPARTAP_DIR     $thisBase/spartaplus
setenv PROMEGA_DIR     $thisBase/promega

setenv NMR_TCLTK8 TRUE

if ($?NMR_TCLTK8) then
   setenv TCL_LIBRARY     $nmrBase/nmrtcl/tcl8.4
   setenv TK_LIBRARY      $nmrBase/nmrtcl/tk8.4
   setenv BLT_LIBRARY     $nmrBase/nmrtcl/blt2.4
   setenv NMRPIPE_TCL_LIB $nmrBase/nmrtcl/tcl8.4
   setenv NMRPIPE_TK_LIB  $nmrBase/nmrtcl/tk8.4
   setenv NMRPIPE_BLT_LIB $nmrBase/nmrtcl/blt2.4
else
   setenv TCL_LIBRARY     $nmrBase/nmrtcl/tcl7.6
   setenv TK_LIBRARY      $nmrBase/nmrtcl/tk4.2
   setenv BLT_LIBRARY     $nmrBase/nmrtcl/blt2.4
   setenv NMRPIPE_TCL_LIB $nmrBase/nmrtcl/tcl7.6
   setenv NMRPIPE_TK_LIB  $nmrBase/nmrtcl/tk4.2
   setenv NMRPIPE_BLT_LIB $nmrBase/nmrtcl/blt2.4
endif

# setenv NMRPIPE_SMALLFONT  "-adobe-helvetica-medium-r-*-*-*-100-*-*-*-*-*-*"
# setenv NMRPIPE_BIGFONT    "-adobe-helvetica-medium-r-*-*-*-180-*-*-*-*-*-*"
# setenv NMRPIPE_STDFONT    "-adobe-helvetica-medium-r-*-*-*-120-*-*-*-*-*-*"
# setenv NMRPIPE_BOLDFONT   "-adobe-helvetica-bold-r-*-*-*-120-*-*-*-*-*-*"
# setenv NMRPIPE_FIXEDFONT  "-*-courier-medium-r-*-*-*-120-*-*-*-*-*-*"
# setenv NMRPIPE_TYPINGFONT "-*-courier-medium-r-*-*-*-100-*-*-*-*-*-*"
# setenv NMRPIPE_AXISFONT   "-*-lucidatypewriter-bold-r-*-*-*-120-*-*-*-*-*-*"

