#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Initialize NMR Progress Display:"
   echo "$0 [options] -- nmrProgressOptions"
   echo "Options:"
   echo " -progress   Start Progress Display if Needed (Default)."
   echo " -noprogress Do Not Start Progress Display."
   echo " -reset      Reset NMR Progress Display if it is Running (Default)."
   echo " -noreset    Do Not Reset NMR Progress Display."
   echo " -stop       Shut Down All Existing Progress Displays."
   echo " -nostop     Do Not Shut Down Existing Progress Displays (Default)."
   echo " -tkrm       Remove Bad Interpreter Entries (Default)." 
   echo " -notkrm     Do Not Remove Bad Interpreter Entries." 
   echo " -noverb     Verbose Mode OFF."
   echo " -silent     Verbose Mode OFF, No Other Output."
   echo "Notes:"
   echo " Use -- to provide options for starting nmrProgress.tcl;"
   echo " these options must be the last items on the command line."
   exit 0
endif

set tkrmFlag  = 1
set resetFlag = 1
set stopFlag  = 0
set progFlag  = 1
set vFlag     = 1
set vArg      = verbose
set sFlag     = 0
set sArg      = nosilent
set progArgs  = ""

if (`flagLoc $argv -verb`) then
   set vFlag = 1
   set vArg  = verb
endif

if (`flagLoc $argv -noverb`) then
   set vFlag = 0
   set vArg  = noverb
endif

if (`flagLoc $argv -silent`) then
   set vFlag = 0
   set vArg  = noverb
   set sFlag = 1
   set sArg  = silent
endif

if (`flagLoc $argv -reset`) then
   set resetFlag = 1
endif

if (`flagLoc $argv -noreset`) then
   set resetFlag = 0
endif

if (`flagLoc $argv -stop`) then
   set stopFlag = 1
endif

if (`flagLoc $argv -nostop`) then
   set stopFlag = 0
endif

if (`flagLoc $argv -progress`) then
   set progFlag = 1
endif

if (`flagLoc $argv -noprogress`) then
   set progFlag = 0
endif


if (`flagLoc $argv -tkrm`) then
   set tkrmFlag = 1
endif

if (`flagLoc $argv -notkrm`) then
   set tkrmFlag = 0
endif

set i = 0

foreach item ($argv)
   @ i++

   if ("X$item" == "X--") then
      @ i++

      if ($i <= $#argv) then
         set progArgs = ($argv[$i-])
         break
      endif
   endif
end

#
#----------------------------------------------------------------------------

if ($tkrmFlag != 0) then
   tkrm -all -$vArg
endif

if ($stopFlag != 0) then
   set n = (`tkrm -info | wc -l`)
   set i = $n 
 
   while ($i > 0)
      set iName = (`tkrm -info -n $i`)

      if ($#iName != 0) then
         if ($iName[1] == "nmrProgress.tcl") then
            if ($vFlag) then
               echo "Stopping $iName"
            endif

            nmrSend -send "$iName" -sendTimeOut 3 -msg "nmrProgress -exit" 
         endif
      endif

      @ i--
   end 
endif

if ($progFlag != 0) then
   set n = (`tkrm -info | wc -l`)
   set i = 1 

   while ($i <= $n)
      set iName = (`tkrm -info -n $i`)

      if ($#iName != 0) then
         if ($iName[1] == "nmrProgress.tcl") then
            if ($vFlag) then
               echo "Initializing $iName"
            endif

            nmrSend -send "$iName" -sendTimeOut 3 \
                    -msg "nmrProgress -reset $progArgs"

            if ($sFlag == 0) then
               echo $iName
            endif

            exit 0
         endif
      endif

      @ i++
   end

   (nmrProgress.tcl -$sArg $progArgs &)
endif

exit 0

