#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "PCA on 1D and 2D NMR Spectral Series:"
   echo " -pcaTab    tabName   \[pca.tab\]        Output Table of PCA Statistics."
   echo "Arguments to pcaNMR Application (Should be Last on the Command Line):"
   echo " -pcaArgs ..."
   exit 0
endif

set pcaTabName = (`getArgD $argv -pcaTab    pca.tab`)

set loc = (`flagLoc $argv -pcaArgs`)

if ($loc) then
   @ loc++
   set pcaArgs = ($argv[$loc-])
endif

set scaleFlag  = 0
set centerFlag = 0

set firstMode = avg

if (`flagLoc $argv -avg`) then
   set firstMode = avg
endif

if (`flagLoc $argv -first`) then
   set firstMode = first
endif

if (`flagLoc $argv -maxvec`) then
   set firstMode = maxvec
endif

if (`flagLoc $argv -maxvar`) then
   set firstMode = maxvar 
endif

if (`flagLoc $argv -proj`) then
   set firstMode = proj 
endif

if (`flagLoc $argv -autoScale`) then
   set scaleFlag  = 1
   set centerFlag = 1
endif

if (`flagLoc $argv -scale`) then
   set scaleFlag = 1
endif

if (`flagLoc $argv -noscale`) then
   set scaleFlag = 0
endif

if (`flagLoc $argv -center`) then
   set centerFlag = 1
endif

if (`flagLoc $argv -nocenter`) then
   set centerFlag = 0
endif

echo "#"               >  $pcaTabName
echo "#" pcaNMR.com $* >> $pcaTabName 
echo ""                >> $pcaTabName

echo "DATA SCALE      $scaleFlag" >> $pcaTabName
echo "DATA CENTER     $scaleFlag" >> $pcaTabName
echo "DATA FIRST_MODE $firstMode" >> $pcaTabName
echo ""                           >> $pcaTabName

pcaNMR $pcaArgs >>& $pcaTabName  

exit 0
