#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

set realName real.ft2
set imagName imag.ft2
set tabName  test.tab
set outName  pha.ft2
set thresh   Auto

#
#----------------------------------------------------------

readROI -roi 1 -ndim 2 -x X_AXIS -y Y_AXIS -in $realName 
readROI -roi 2 -ndim 2 -x X_AXIS -y Y_AXIS -in $imagName
readROI -roi 3 -ndim 2 -x X_AXIS -y Y_AXIS -in $imagName

set roiInfo  [getROIInfo -roi 1]
set rdata    [lindex $roiInfo 0]
set sizeList [lindex $roiInfo 2]

set xSize    [lindex $sizeList 0]
set ySize    [lindex $sizeList 1]
set n        [expr $xSize*$ySize]

set roiInfo  [getROIInfo -roi 2]
set idata    [lindex $roiInfo 0]

set roiInfo  [getROIInfo -roi 3]
set mdata    [lindex $roiInfo 0]

vsSet $mdata 0.0 $n

set pkTab [gdbRead table -in $tabName]
set eList [gdbGetInfo $pkTab -parms entries]

foreach entry $eList \
   {
    foreach dy {-1 0 1} \
       {
        foreach dx {-1 0 1} \
           {
            set x [gdbGet $entry X_AXIS]
            set y [gdbGet $entry Y_AXIS]

            set ix [expr int($x + $dx + 0.5)]
            set iy [expr int($y + $dy + 0.5)]
            set i  [expr ($ix - 1) + ($iy - 1)*$xSize]
        
            setPtrVal $mdata $i 1.0
           }
       }
   }

if {![strcasecmp $thresh Auto]} \
   {
    set noise  [vEstNoise $rdata $n]
    set thresh [expr 6.0*$noise]
   }

puts "$noise $xSize $ySize"

for {set i 0} {$i < $n} {incr i} \
   {
    set rVal [getPtrVal $rdata $i]
    set iVal [getPtrVal $idata $i]

    set val [expr 180.0*atan2( $iVal, $rVal )/3.14159265] 
   
    setPtrVal $rdata $i $val
   }

vvMult $rdata $mdata $n

writeROI -roi 1 -out $outName -ov

exit 0
