#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 [lrange $argv 2 end]]
set ARGC      [llength $ARGV]

if {$ARGC == 1 || [flagLoc $ARGV -help]} \
   {
    puts "Filter a peak table to extract commonly used values:"
    puts " $argv0 inName \[-vList varNames\]"
    puts " $argv0 outName inName \[-vList varNames\] \[-renumber\]"
    exit 0
   }

set vList "INDEX X_PPM Y_PPM Z_PPM A_PPM HEIGHT VOL ASS"
set loc   [flagLoc $ARGV -vList]

if {$loc > 0} \
   {
    set vList [lrange $ARGV [expr $loc + 1] end]
    set ARGV  [lrange $ARGV 0 [expr $loc - 1]]
    set ARGC  [llength $ARGV] 
   }

if {$ARGC == 2} \
   {
    set inName  [lindex $ARGV 1]
    set outName "[file rootname $inName]2[file extension $inName]"
   } \
elseif {$ARGC > 2} \
   {
    set outName [lindex $ARGV 1]    
    set inName  [lindex $ARGV 2]
   }

set inTab  [gdbRead table -in $inName]

if {[flagLoc $ARGV -renumber]} \
   {
    set eList [gdbGetInfo $inTab -parms entries]
    set i 0

    foreach e $eList \
       {
        incr i
        gdbSet $e INDEX $i
       }
   }

set outTab [gdbSelect -new -from $inTab -vars $vList -cond 1]

gdbWrite $outTab $outName

exit
