#!/bin/csh

if (`flagLoc $argv -help`) then
   exit 0
endif

set thisPID = $$
set n       = 25

nmrProgress.com -stop -noprogress -noverb

(nmrProgress.tcl -silent -winTitle Initializing &)

sleep 3

set msg = "nmrProgress -loc 0 -n $n -pct 0.0 -fromID 1 -pid $thisPID -winTitle Counting Application -title Counting -axis None -barTimeOut 5"

nmrSend -norecv -send nmrProgress.tcl -msg "$msg" 

sleep 3

set i = 1

while ($i <= $n)
   set pct = (`MATH "100.0*$i/$n"`)
   echo $i $pct

   set msg = "nmrProgress -loc $i -n $n -pct `nmrPrintf %.1f $pct` -fromID 1 -pid $thisPID -title Counting $i -axis None"

   nmrSend -norecv -send nmrProgress.tcl -msg "$msg"

   sleep 1
   @ i++
end

sleep 3

set msg = "nmrProgress -fromID 1 -pid $thisPID -loc None -winTitle Counting is Done"
nmrSend -norecv -send nmrProgress.tcl -msg "$msg"
