#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

set inName    test.ft2
set outName   proj.dat
set x1        0%
set xN        100%

set xName Y_AXIS
set yName X_AXIS

getArgD $ARGV -in  inName
getArgD $ARGV -out outName
getArgD $ARGV -x1  x1
getArgD $ARGV -xn  xN

if {[flagLoc $ARGV -xAxis]} \
   {
    set xName X_AXIS
    set yName Y_AXIS
   }

if {[flagLoc $ARGV -yAxis]} \
   {
    set xName Y_AXIS
    set yName X_AXIS
   }

if {[flagLoc $ARGV -help]} \
   {
    puts "Create a 1D Projection from a 2D Region:"
    puts " -in  inName     Name of 2D Spectrum Input."
    puts " -out outName   Name of 1D Projection Output."
    puts " -x1  projStart  Start Location of Projection Region."
    puts " -xn  projEnd    End Location of Projection Region."
    puts "Orientation:"
    puts " -xAxis          Projection Corresponds to X-Axis of 2D."
    puts " -yAxis          Projection Corresponds to Y-Axis of 2D (Default)."
    puts "Notes:"
    puts " 1. Use locations in ppm, hz, pts, or %, for example:"
    puts "    proj.tcl -x1 3.2ppm -xn 4.2ppm"
    puts " 2. The meaning of orientation depends on transpose state of 2D."
    exit 0
   }

readROI -in $inName -ndim 1 -x $xName -y $yName $x1 $xN -roi 1 -verb
writeROI -roi 1 -out $outName -verb -ov

exit 0
