#!/bin/csh -f

#
# Loop for estimate of 2D X-Axis zero-order phase.

set inName  = (`getArgD $argv -in   test.fid`)
set outName = (`getArgD $argv -out  tmp.ft2`)
set xSol    = (`getArgD $argv -xSol NULL`)

set x1      = (`getArgD $argv -x1 5%`)
set xn      = (`getArgD $argv -xn 45%`)
set y1      = (`getArgD $argv -y1 0%`)
set yn      = (`getArgD $argv -yn 100%`)

set yP0     = (`getArgD $argv -yP0 0`)
set yP1     = (`getArgD $argv -yP1 0`)

#
#-----------------------------------------------------------------

set xP0 = 0

while ($xP0 < 360)

nmrPipe -in $inName \
| nmrPipe  -fn $xSol                                  \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5    \
| nmrPipe  -fn ZF -auto                               \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 $xP0 -p1 0.0 -di                \
| nmrPipe  -fn EXT -x1 $x1 -xn $xn -sw                \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 1.0    \
| nmrPipe  -fn ZF -auto                               \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 $yP0 -p1 $yP1 -di               \
| nmrPipe  -fn EXT -x1 $y1 -xn $yn -sw                \
| nmrPipe  -fn POLY -auto -ord 0                      \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn POLY -auto -ord 1                      \
   -ov -out $outName

 set s = (`readROI -ndim 2 -in $outName -silent -vec vSum`)
 
 echo $xP0 $s

 @ xP0 = $xP0 + 10
end

/bin/rm $outName

exit 0
