#!/bin/csh

if ($#argv != 2) then
   echo "Scale an IR spectral image in the NMRPipe format."
   echo "Usage:"
   echo "  scaleIR.com imageTemplate scaleFactor"
   echo "Example:"
   echo "  scaleIR.com vkbak1_ft/ir%03d.dat 0.80955655"
   exit 0
endif

xyz2pipe -in $1 -x -verb  \
| nmrPipe -fn MULT -c $2  \
| pipe2xyz -x -out $1 -inPlace

echo "... created scaled result $1"
