#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Wrapper for NMR Script Execution to Capture Standard Output and Error."
   echo " $0 comName dirName logName comArgs ..."
   exit 0
endif

set comName = pwd
set dirName = .
set logName = None
set argList = ""

if ($#argv >= 1) then
   set comName = $argv[1]
endif

if ($#argv >= 2) then
   set dirName = $argv[2]
endif

if ($#argv >= 3) then
   set logName = $argv[3]
endif

if ($#argv >= 4) then
   set argList = $argv[4-]
endif

if (`string csame $logName None`) then
   $comName $dirName $argList
else
   if (-d $dirName) then
      $comName $dirName $argList >& $dirName/$logName
   else
      echo "$0 Error Finding Directory $dirName"
      exit 1
   endif
endif

exit 0

