#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

#
# Automatic Creation of nlinLS Fitting Script.

set auto_path    "[split $env(TCLPATH) :] $auto_path"
set ARGV         [concat $argv0 $argv]
set ARGC         [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts "sim1D.tcl: Utility for Simulating 1D Components in a 1D Fit."
    puts " Usage: sim1D.tcl specName tabName simArgs"
    puts "Notes:"
    puts " This utility is used by autoFit.tcl"
   }

set simDir       sim1D
set templateName test%04d.dat
set scriptName   sim1D.com

set loc [flagLoc $ARGV --]

set specName     [lindex $ARGV [expr $loc + 1]]
set tabName      [lindex $ARGV [expr $loc + 2]]
set simArgs      [lrange $ARGV [expr $loc + 3] end]

catch {file delete -force $simDir}
catch {file mkdir  $simDir}

set error [catch {set outUnit [open $scriptName w 0744]}]

set pkTab [gdbRead table -in $tabName]
set entry [gdbFirst $pkTab]

puts $outUnit "#!/bin/csh -f"
puts $outUnit ""

puts $outUnit "# $ARGV"
puts $outUnit ""

while {$entry} \
   {
    set id      [gdbGet $entry INDEX]
    set outName [format $simDir/$templateName $id]

    puts $outUnit "nmrPipe -in $specName -out $outName -fn SET -c 0.0 -ov"
    puts $outUnit ""

    puts $outUnit "simSpecND -in $tabName -data $outName \\"
    puts $outUnit "          -first $id -last $id \\"
    puts $outUnit "          $simArgs"
    puts $outUnit ""

    set entry [gdbNext $entry]
   }

close $outUnit

set g 90x12+15+15
set error [catch {exec xterm -bg cyan -fg black -geom $g -e $scriptName}]

exit
