#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    set  aName [file tail $argv0]
    puts "$aName -r rList \[-n count\]"
    puts " -up    Sort Lowest to Highest (Default)."
    puts " -down  Sort Highest to Lowest."
    puts " -abs   Sort by Absolute Value."
    puts "List the index numbers that sort a numeric list, for example:"
    puts "  $aName -r 400.0 900.0 50.0 600.0 400.0 100.0 200.0 100.0"
    puts "Will return:"
    puts "  3 6 8 7 5 1 4 2"
    puts "Try Also:"
    puts " getStat.tcl -x \$rList -stat VecSortLoc -noverb"
    exit 0
   }

proc pSort { i1 i2 } \
{
   global upFlag absFlag

   set s1 [lindex $i1 0]
   set s2 [lindex $i2 0]

   if {$absFlag} \
      {
       set s1 [expr abs($s1)]
       set s2 [expr abs($s2)]
      }

   if {$upFlag} \
      {
       if {$s1 < $s2} {return -1}
       if {$s1 > $s2} {return  1}
      } \
   else \
      {
       if {$s1 < $s2} {return  1}
       if {$s1 > $s2} {return -1}
      }

   return 0
}

set rList   ""
set iList   ""
set pList   ""
set n       0
set upFlag  1
set absFlag 0

if {[flagLoc $ARGV -up]}    {set upFlag  1}
if {[flagLoc $ARGV -down]}  {set upFlag  0}

if {[flagLoc $ARGV -abs]}   {set absFlag 1}
if {[flagLoc $ARGV -noabs]} {set absFlag 0}

getArgD $ARGV -n n

if {$n > 0} \
   {
    for {set i 1} {$i <= $n} {incr i} {lappend rList $i}
   }

getListArgD $ARGV -r rList

if {![llength $rList]} {exit 0}

set i 1

foreach r $rList \
   {
    lappend pList "$r $i"
    incr i
   }

set sList [lsort -command pSort $pList]

foreach s $sList {lappend iList [lindex $s 1]}
 
puts $iList
exit 0
