#!/bin/csh

set dirList   = (`getListArgD $argv -dir   -- .`)
set extraList = (`getListArgD $argv -extra -- std.dat`)
set vFlag     = 0

if (`flagLoc $argv -verb`) then
   set vFlag = 1
endif

if (`flagLoc $argv -force`) then
   set r = y
else
   echo "$0 [-verb] [-force] [-dir dirList] [-extra extraFilesList]"

   if (`flagLoc $argv -help`) then
      exit 0
   endif

   echo "Delete all spectral data and scripts here and in subdirectories (y/n)?"
   set r = $< 
endif

if ($r != "y" && $r != "Y" && $r != "yes" && $r != "YES") then
   exit 0
endif

set fList = \
 (fid.com ft.com fid.log ezProc.log selNMR.log test.fid \
  test.dat std.dat wg.dat on.dat off.dat w.dat dif.dat scaled.dat wdif.dat  \
  mask.dat label.dat label.tab fit.dat nlin.tab sim.ft1 dif.ft1 \
  aux.ft1 aux.tab axt.ft1 axt.tab sim1D.com sim1D autoFit.com peak.tab pk.tcl pkROI_1d.dat \
  pool.txt pool_lib.txt test.tab refPPM.tab test.ps test.ft1 clip.ft1 std.tab std.ps std.pdf $extraList)

set dList = (ser fid ser.Z fid.Z ser.gz fid.gz)

foreach d ($dirList)
   if (-d "$d") then
      if (`/bin/ls "$d" | wc -w` == 0) then
         continue
      endif

      foreach i ("$d"/*)
         if (-d "$i") then
            if ($vFlag != 0) then
               echo Recursively Cleaning Directory $i
               stdClean.com -verb -force -dir "$i" -extra $extraList
            else
               stdClean.com -force -dir "$i" -extra $extraList
            endif
         endif
      end

      if ($vFlag != 0) then
         echo " Looking for files to clean in $d"
      endif

      set k = 0

      foreach dd ($dList)
         if (-e "$d"/$dd) then
            @ k++
         endif
      end

      if ($k != 0) then
         foreach f ($fList)
            if (-e "$d"/$f) then
               if ($vFlag != 0) then
                  echo " Removing $d/$f"
               endif
              /bin/rm -rf "$d"/$f
            endif
         end
      endif
   endif
end

