#!/bin/csh

setenv NMRPIPE_BIGFONT   "-adobe-helvetica-bold-r-*-*-*-180-*-*-*-*-*-*"
setenv NMRPIPE_SMALLFONT "-adobe-helvetica-bold-r-*-*-*-180-*-*-*-*-*-*"

set inList = (dif.dat off.dat on.dat scaled.dat w.dat mask.dat label.dat)

if (`flagLoc $argv -help`) then
   echo "stdShow.com: use specView.tcl to Display Results of std.tcl Calculation."
   echo " For more info, try: specView.tcl -help" 
   echo "Spectra Displayed:"
   echo " $inList"
   exit 0
endif


set hiInfo = (`scale2D -brief -showMin -showMax off.dat` 0.0 1.0e+5)
set range  = (`MATH "$hiInfo[2] - $hiInfo[1]"`)
set fHi    = (`MATH "$hiInfo[1] - 0.05*$range"`)
set lHi    = (`MATH "$hiInfo[2] + 0.05*$range"`)

specView.tcl $* -extended -titleFont "$NMRPIPE_SMALLFONT" -fhi $fHi -lhi $lHi \
             -axisCharX 10 -axisCharY 20 -titleCharX 10 -titleCharY 20 \
             -ref None -spec 1 2 -colorMode File -lbh $#inList \
             -in $inList -title $inList

