#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]
  
if {[flagLoc $ARGV -help]} \
{
puts stderr "Extract Data Lines from Simple Text Table, for gnuplot etc:"
puts stderr " -in  inName  \[stdin\]   Input  Table."
puts stderr " -out outName \[stdout\]  Output Table."
puts stderr " -inv                       Extract Non-Data Lines."
puts stderr "Notes:"
puts stderr " The default mode strips blank lines, and any lines that"
puts stderr " do not have + - . or a digit as their first non-blank"
puts stderr " character."
exit 1
}

set inName  stdin 
set outName stdout
set invFlag 0

getArgD $ARGV -in  inName
getArgD $ARGV -out outName

if {[flagLoc $ARGV -inv]}   {set invFlag 1}
if {[flagLoc $ARGV -noinv]} {set invFlag 0}

#
#------------------------------------------------------------------------------

proc testLine {} \
{
   global invFlag keepFlag
   
   testLine2

   if {$invFlag} \
      {
       if {$keepFlag} \
          {
           set keepFlag 0
          } \
       else \
          {
           set keepFlag 1
          }
      }

   return $keepFlag
}

proc testLine2 {} \
{
   global currentLine keepFlag

   set keepFlag 1

   set s [string trim $currentLine]
   set n [string length $s]

   if {!$n} \
      {
       set keepFlag 0
       return $keepFlag
      }

   set c [string index $s 0]

   if {![strcmp $c "."] || ![strcmp $c "-"] || ![strcmp $c "+"]} {return $keepFlag}
   if {[string is digit $c]} {return $keepFlag} 

   set keepFlag 0

   return $keepFlag
}

if {![strcasecmp $inName stdin]} \
   {
    set inUnit stdin
   } \
else \
   {
    if {![file exists $inName]} \
       {
        puts stderr "Error Finding Input File $inName"
        exit 1
       }

    set error [catch {set inUnit [open $inName r]}]

    if {$error} \
       {
        puts stderr "Error Opening Input File $inName"
        exit 1
       }
   }

if {![strcasecmp $outName stdout] || ![strcasecmp $outName stderr]} \
   {
    set outUnit [string tolower $outName] 
   } \
else \
   {
    set error [catch {set outUnit [open $outName w]}]

    if {$error} \
       {
        puts stderr "Error Opening Output File $outName"
        exit 1
       }
   }

while {[gets $inUnit currentLine] >= 0} \
   {
    set keeFlag 1
    set error [catch testLine] 
    if {$keepFlag} {puts $outUnit $currentLine}
   }

exit

