#
# Apply given "file" status test, accounting for leading "~" substition.

proc tkFileTest { test f } \
{
   if {[string first "~" $f] == 0} {set f [file normalize $f]}

   set status 0
   set error  [catch {set status [file $test $f]}]

   if {!$error} {return $status}

   return $status
}

#
# Apply "cd" command, accounting for leading "~" substition.

proc tkSafeCD { d } \
{
   if {[string first "~" $d] == 0} {set d [file normalize $d]}

   set status ""
   set error  [catch {set status [cd $d]}]

   if {!$error} {return $status}

   set status ""

   return $status
}

#
# Apply given "file" function, accounting for leading "~" substition.

proc tkFileFn { test f } \
{
   if {[string first "~" $f] == 0} {set f [file normalize $f]}

   set status ""
   set error  [catch {set status [file $test $f]}]

   if {!$error} {return $status}

   set status ""

   return $status
}

#
# Apply join "file" function, accounting for leading "~" substition.

proc tkFileJoin { f1 f2 } \
{
  if {[string first "~" $f1] == 0} {set f1 [file normalize $f1]}

  return $f1/$f2
}


