#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    puts stderr "Convert Numerical Values in Text Lines to Binary Float Data:"
    puts stderr " -loc locList [All]   List of Value Locations in Text Line."
    puts stderr "Notes:"
    puts stderr " 1. The location of the first value in a line is 0."
    puts stderr " 2. Missing values will be output as zero."
    puts stderr " 3. For an all-real 2D spectrum, the following will produce"
    puts stderr "    lines with three values, where the first two values are"
    puts stderr "    point locations, and the third value (loc = 2) is the"
    puts stderr "    intensity at that location:"
    puts stderr ""
    puts stderr "       pipe2txt.tcl test.ft2 > test.txt"
    puts stderr ""
    puts stderr "    Extracting the intensity from each line:"
    puts stderr ""
    puts stderr "       txt2flt.tcl -loc 2 < test.txt > float.dat"
    exit 1
   }

set locList All
set inUnit  stdin
set outUnit 1

getListArgD $ARGV -loc locList

#
#------------------------------------------------------------------------------------

set fltPtr [sysMalloc 1 float]

if {![strcasecmp $locList All]} \
   {
    while {[gets $inUnit line] >= 0} \
       {
        foreach val $line \
           {
            setPtrVal $fltPtr 0 $val
            sysWrite  $outUnit $fltPtr 1
           } 
       }
   } \
else \
   {
    while {[gets $inUnit line] >= 0} \
       {
        foreach loc $locList \
           {
            set val [lindex $line $loc]

            if {![llength $val]} {set val 0.0}

            setPtrVal $fltPtr 0 $val
            sysWrite  $outUnit $fltPtr 1
           }
       }
   }

exit 0

