/***/
/* NMRPipe Copyright 1992 - 2024 Frank Delaglio
/***/

/***/
/* mapText: map a text value from a list of text into a unique integer ID number.
/***/

#include <stdio.h>
#include <string.h>

#include "memory.h"

int mapText( text, knownList, knownCount, error )

   char *text, ***knownList;
   int   *knownCount, *error;

{
    char **listPtr;
    int id;

/***/
/* See if text is in knownList; if so use known ID.
/* If not, re-allocate space for knownList and add text and a null string.
/***/

    listPtr = *knownList;

    for( id = 0; id < *knownCount; id++ )
       {
        if (!(strcmp( text, *listPtr )))
           {
            return( id );
           }

        listPtr++;
       }

     listPtr = (char **) voidReAlloc( "mapText", 
                                      (void *) *knownList, 
                                      sizeof(char *)*(*knownCount + 2),
                                      sizeof(char *)*(*knownCount + 1) ); 

    if (!listPtr)
       {
        (void) printf( "MapText error allocating equiv list.\n" );
        *error = 1;
        return( -1 );
       }

    *knownList  = listPtr;
    listPtr    += *knownCount;

    if (!(*listPtr = strDup2( "mapText", text )))
       {
        (void) printf( "MapText error allocating equiv text.\n" );
        *error = 1;
        return( -1 );
       }

    *(listPtr + 1) = (char *) NULL;
    (*knownCount)++;

    return( *knownCount - 1 );
}

/***/
/* Bottom.
/***/
