#!/bin/csh

#
# Bruker AMX 4D 13C-NOE Conversion:
#  Uses pipe2xyz to create output files with both
#  Z-Axis and A-Axis index numbers.

bruk2pipe -in /spain1/rclubb/ser \
 -xN         768  -yN         128 -zN          36 -aN           36  \
 -xT         300  -yT          64 -zT          18 -aT           18  \
 -xMODE  Complex  -yMODE  Complex -zMODE  Complex -aMODE   Complex  \
 -xSW   4166.667  -ySW   4166.667 -zSW   2604.167 -aSW    2604.167  \
 -xOBS   500.189  -yOBS   500.189 -zOBS   125.777 -aOBS    125.777  \
 -xCAR      3.73  -yCAR      3.73 -zCAR     63.71 -aCAR      63.71  \
 -xLAB     acq1H  -yLAB   indir1H -zLAB      13Cz -aLAB       13Ca  \
 -ndim         4  -aq2D    States                                   \
| pipe2xyz -out fid/c13c13noe%02d%03d.DAT -verb -ov -to 0
