#!/bin/csh

#
# Bruker AM 2D TPPI Conversion.
#   Flag "-AM" selects for 3-byte AM input format with no header.
#   Flag "-aq2D TPPI" is required to indicate phase-sensitive 2D TPPI. 
#   Sequential Detection Mode: "-xN" value equals "-xT" value (usually). 
#   TPPI Indirect-detection Mode: "-yN" value equals "-yT" value. 

bruk2pipe -in mc016.ser -AM \
  -xN           2048    -yN          512   \
  -xT           2048    -yT          512   \
  -xMODE  Sequential    -yMODE      Real   \
  -xSW      6024.000    -ySW    6024.000   \
  -xOBS      500.089    -yOBS    500.089   \
  -xCAR        4.677    -yCAR      4.677   \
  -xLAB           F2    -yLAB         F1   \
  -ndim            2    -aq2D       TPPI   \
  -out mc016.fid -ov -verb
