/***/
/* bruk_ranceN.M: Rance-mode gradient shuffling for NUS data stored as 2D.
/*  nmrPipe -fn MAC -macro bruk_ranceN.M -var nShuf 1 
/*  nmrPipe -fn MAC -macro bruk_ranceN.M -var nShuf 2
/*  nmrPipe -fn MAC -macro bruk_ranceN.M -var nShuf 4
/***/

if (sliceCode % (2*nShuf))
   {
    exit( 0 );
   };

shufSize = size*nShuf;

float sumR[shufSize], sumI[shufSize], difR[shufSize], difI[shufSize];
float rdataN[shufSize], idataN[shufSize];

(void) dReadB( inUnit, rdataN, wordLen*shufSize );
(void) dReadB( inUnit, idataN, wordLen*shufSize );
(void) dReadB( inUnit, difR,   wordLen*shufSize );
(void) dReadB( inUnit, difI,   wordLen*shufSize );

if (nShuf == 1)
   {
    (void) vvCopy( sumR, rdataN, shufSize );
    (void) vvCopy( sumI, idataN, shufSize );
    
    (void) vvSub( sumR, difR,  shufSize );
    (void) vvSub( sumI, difI,  shufSize );

    (void) vvAdd( difR, rdataN, shufSize );
    (void) vvAdd( difI, idataN, shufSize );

    (void) vNeg( difR, shufSize ); 

    (void) dWrite( outUnit, sumR, wordLen*shufSize );
    (void) dWrite( outUnit, sumI, wordLen*shufSize );
    (void) dWrite( outUnit, difI, wordLen*shufSize );
    (void) dWrite( outUnit, difR, wordLen*shufSize );
   }
else
   {
    /* Update by Jinfa Ying 6/2017:   */
    /* (void) vNeg( difR, shufSize ); */
    /* (void) vNeg( difI, shufSize ); */

    (void) vvCopy( sumR, rdataN, shufSize );
    (void) vvCopy( sumI, idataN, shufSize );
   
    (void) vvSub( sumR, difR,  shufSize );
    (void) vvSub( sumI, difI,  shufSize );

    (void) vvAdd( difR, rdataN, shufSize );
    (void) vvAdd( difI, idataN, shufSize );

    for( i = 0; i < size; i++ )
       {
        v = difI[i]; difI[i] = -difI[i+size]; difI[i+size] = v; 
        v = difR[i]; difR[i] = -difR[i+size]; difR[i+size] = v; 
       };

    /* Update by Jinfa Ying 6/2017:   */
    /* (void) vNeg( difR, shufSize ); */
    /* (void) vNeg( difI, shufSize ); */

    (void) dWrite( outUnit, sumR, wordLen*shufSize );
    (void) dWrite( outUnit, sumI, wordLen*shufSize );
    (void) dWrite( outUnit, difR, wordLen*shufSize );
    (void) dWrite( outUnit, difI, wordLen*shufSize );
   }

