#!/bin/csh

#
# NMRPipe System Environment script, Fri Aug 15 15:07:27 EDT 1997.
# Example usage:
#
#   if (-e /u/delaglio/com/nmrInit.com) then
#      source /u/delaglio/com/nmrInit.com
#   endif
#   
#   if (!($?PATHFIXED)) then
#      set path = (`uniqenv.com "$path" " "`)
#      setenv PATHFIXED TRUE
#   endif

if ($?NMRPATHSET) then
   exit 0
endif

#
# Binary type:

set    noEcho = 1
setenv NMRBASE  /u/delaglio

if (-e ${NMRBASE}/com/binval.com) then
   source ${NMRBASE}/com/binval.com
   setenv BINVAL $binType
else
   setenv BINVAL unknown
endif

unset noEcho

#
# Environment definitions; note special case for NMRBIN, for NIH NMR lab only.
# Usual definition should be: setenv NMRBIN ${NMRBASE}/bin/${BINVAL}

if ($BINVAL == sun) then
   setenv NMRBIN ${NMRBASE}/bin
else
   setenv NMRBIN ${NMRBASE}/bin/${BINVAL}
endif

setenv NMRTXT      ${NMRBASE}/nmrtxt
setenv TCL_LIBRARY ${NMRBASE}/nmrtxt/tcl7.6
setenv TK_LIBRARY  ${NMRBASE}/nmrtxt/tk4.2
setenv TCLPATH     ${NMRBASE}/com
setenv NMRCHECK    ALL

#
# Useful aliases:

alias u       'chmod a+x *.com *.tcl'

#set   history = 256
#alias h      'history'
#alias rm     'rm -i'
#alias cd     'cd \!*; set prompt = "$cwd% "'
#alias dirs   'ls -l | egrep -e ^d'
#alias links  'ls -l | egrep -e ^l'

#
# Paths for manuals, executables, and fonts:

if ($?MANPATH) then
   setenv MANPATH \
   ${NMRBASE}/man:/usr/man:/usr/share/man:/X11/usr/man:/usr/local/man:${MANPATH}
else
   setenv MANPATH \
   ${NMRBASE}/man:/usr/man:/usr/share/man:/X11/usr/man:/usr/local/man
endif

set path = (. ${NMRBIN} ${TCLPATH} ${NMRBASE}/bin $path)

if ($BINVAL =~ sgi* && -e ${NMRBASE}/com/font.com) then
   source ${NMRBASE}/com/font.com
endif

#
# XView Graphics library definitions:

if ($BINVAL == sol || $BINVAL == pc) then
   if (!($?LD_LIBRARY_PATH)) then
      setenv LD_LIBRARY_PATH /usr/openwin/lib
   else
      setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:/usr/openwin/lib
   endif

   if (!($?OPENWINHOME)) then
      setenv OPENWINHOME /usr/openwin
   endif
endif

if ($BINVAL == hp) then
   if (!($?SHLIB_PATH)) then
      setenv SHLIB_PATH /net/spite1/frankie/net/xview/hp/lib
   else
      setenv SHLIB_PATH ${SHLIB_PATH}:/net/spite1/frankie/net/xview/hp/lib
   endif
endif

if ($BINVAL == alpha) then
   if (!($?LD_LIBRARY_PATH)) then
      setenv LD_LIBRARY_PATH /spite1/frankie/net/xview/alpha/lib
   else
      setenv LD_LIBRARY_PATH \
             ${LD_LIBRARY_PATH}:/spite1/frankie/net/xview/alpha/lib
   endif
endif

#
# Exit:

setenv NMRPATHSET TRUE
