#!/bin/csh

#
# Used for a States DQF-COSY with a heavy solvent ridge:
#   Time-domain phase correction is used to shift the
#   solvent signal temporarily to the center before
#   solvent suppression.
#
#   "BASE", a crude linear baseline correction is used
#   during processing.  After 2D transformation, separate
#   polynomial baseline corrections are applied above and
#   below the solvent signal.
 
nmrPipe -in dqcosy.fid                                \
| nmrPipe  -fn PS -ls 9                               \
| nmrPipe  -fn SOL                                    \
| nmrPipe  -fn PS -rs 9                               \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5    \
| nmrPipe  -fn ZF -auto                               \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 255.6  -p1 78.0 -di -verb       \
| nmrPipe  -fn BASE -nw 3 -first -last -nl 5% 95%     \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5    \
| nmrPipe  -fn ZF -size 2048                          \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS -p0 -90 -p1 0 -di -verb             \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn POLY -auto -xn 5.3ppm                  \
| nmrPipe  -fn POLY -auto -x1 5.1ppm                  \
   -out test.ft2 -verb -ov
