
/***/
/* Align vectors in interfergram with first vector: 
/*
/* | nmrPipe -fn MAC -macro findShiftQ.M 
/*           -var firstShift -10 lastShift 10 shiftStep 1 
/*           -str shiftX1 0.5ppm shiftXN -0.4ppm
/***/

ix1 = spec2pnt( fdata, CUR_XDIM, shiftX1 );
ixn = spec2pnt( fdata, CUR_XDIM, shiftXN );

if (ix1 < 1)    {ix1 = 1;};
if (ix1 > size) {ix1 = size;};
if (ixn < 1)    {ixn = 1;};
if (ixn > size) {ixn = size;};

if (ix1 > ixn) { i = ix1; ix1 = ixn; ixn = i; };

n = 1 + ixn - ix1;

if (sliceCode == 1)
   {
    float firstR[size], firstI[size];

    (void) vvCopyOff( firstR, rdata, n, 0, ix1-1 );
    (void) vvCopyOff( firstI, idata, n, 0, ix1-1 );

    (void) vAbs( firstR, n );
    (void) vAbs( firstI, n );

    scale = 1.0/(1.0 + vMax( firstR, n ) + vMax( firstI, n ));

    (void) vvCopyOff( firstR, rdata, n, 0, ix1-1 );
    (void) vvCopyOff( firstI, idata, n, 0, ix1-1 );

    (void) vsMult( firstR, n, scale );
    (void) vsMult( firstI, n, scale );

    exit( 0 );
   };

float sR[size], sI[size], qR[size], qI[size], pRR[size], pRI[size], pIR[size], pII[size];

if (lastShift < firstShift) { s = firstShift; firstShift = lastShift; lastShift = s; };
if (shiftStep <= 0) { shiftStep = 1; };

bestScore = 0.0;
bestShift = 0;

(void) vvCopy( qR, firstR, n );
(void) vvCopy( qI, firstI, n );

for( thisShift = firstShift; thisShift <= lastShift; thisShift += shiftStep )
   {
    (void) vvCopy( sR, rdata, size );
    (void) vvCopy( sI, idata, size );

    (void) vsMult( sR, size, scale );
    (void) vsMult( sI, size, scale );

    if (shiftStep == 1)
       {
        (void) crShift( sR, size, -thisShift, 0 );  
        (void) crShift( sI, size, -thisShift, 0 );  
       }
    else
       {
        (void) fShift( sR, size, -thisShift );
        (void) fShift( sI, size, -thisShift );
       };

    (void) vvCopyOff( pRR, sR, n, 0, ix1-1 );
    (void) vvCopyOff( pRI, sR, n, 0, ix1-1 );
    (void) vvCopyOff( pIR, sI, n, 0, ix1-1 );
    (void) vvCopyOff( pII, sI, n, 0, ix1-1 );

    (void) vvMult( pRR, qR, n );
    (void) vvMult( pRI, qI, n );
    (void) vvMult( pIR, qR, n );
    (void) vvMult( pII, qI, n );

    (void) vvSub( pRR, pII, n );
    (void) vvAdd( pRI, pIR, n );
    (void) modulus( pRR, pRI, n );

    s = vSum( pRR, n );

    if (s > bestScore) 
       {
        bestShift = thisShift;
        bestScore = s;
       };
   }

(void) printf( " vector %6.0f yLoc %4.0f zLoc %4.0f aLoc %4.0f shiftPts %5.2f\n", sliceCode, yLoc, zLoc, aLoc, bestShift );

if (shiftStep == 1)
   {
    (void) crShift( rdata, size, -bestShift, 0 );  
    (void) crShift( idata, size, -bestShift, 0 );  
   }
else
   {
    (void) fShift( rdata, size, -bestShift );
    (void) fShift( idata, size, -bestShift );
   };

