#!/bin/csh

#
# Extraction and Processing of an X-Axis/Z-Axis 2D Plane from 3D:
#  Extract the first XZ Plane.
#  Process the plane with a 2D scheme.

$NMRTXT/ext.xz.ksh fid/test%03d.fid xz001.fid

nmrPipe -in xz001.fid \
| nmrPipe  -fn SOL                                      \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5      \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT                                       \
| nmrPipe  -fn PS -p0 43  -p1 0.0 -di -verb             \
| nmrPipe  -fn EXT -left -sw                            \
| nmrPipe  -fn TP                                       \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5      \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT                                       \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di -verb             \
   -out test.ft2 -ov
