#!/bin/csh

#
# Converts Z-Axis Rance Mode Data to States-Mode using macro language.

var2pipe -in varian.fid \
  -xN           1024  -yN          64  -zN          64  \
  -xT            512  -yT          32  -zT          32  \
  -xMODE     Complex  -yMODE  Complex  -zMODE  Complex  \
  -xSW       8000.00  -ySW       8500  -zSW   1650.000  \
  -xOBS      499.843  -yOBS    125.75  -zOBS   50.6530  \
  -xCAR         4.73  -yCAR      46.0  -zCAR    118.00  \
  -xLAB           HN  -yLAB      CACB  -zLAB         N  \
  -ndim            3  -aq2D    States  -aqORD 1         \
| nmrPipe -fn MAC -macro $NMRTXT/ranceZ.M -noRd -noWr   \
| pipe2xyz -out fid/test%03d.fid -x -ov -to 0 -verb
