#!/bin/csh

if ($#argv > 0) then
   if ("$argv[1]" == "-help") then
      echo "uniqenv.com: strip non-unique items in a list."
      echo "Usage:"
      echo "  uniqenv.com listText ['delimeterCharacter']"
      echo "Examples:"
      echo "  uniqenv.com .:/bin:/usr/local/bin:/bin:/etc/bin"
      echo "  uniqenv.com '. /bin /usr/local/bin /bin /etc/bin' ' '"
      echo "Notes:"
      echo "  Default delimiter is the ':' character."
      exit 0
   endif
endif

if ($OSTYPE == sysv) then
   echo $argv[1]
   exit 0
endif

switch ($BINTYPE)
  case hp:
    set TR = /usr/ucb/tr
    breaksw
  case alpha:
    set TR = /usr/ucb/tr
    breaksw
  case linux:
    set TR = /usr/bin/tr
    breaksw
  default:
    set TR = tr
    breaksw
endsw

if ($#argv > 1) then
   set c = $argv[2]
else
   set c = ':'
endif

set src  = (`echo $1 | $TR $c ' '`)
set dest = ()

foreach i ($src)
  set isUniq = true 

  foreach j ($dest)
     if ($i == $j) then
        set isUniq = false 
        break
     endif
  end

  if ($isUniq == true) then
     set dest = ($dest $i)
  endif
end

echo $dest | $TR ' ' $c
