#!/bin/csh

#
# Re-process a 3D spectrum using 2D MEM in both indirect dimensions.
#
# This macro expects that the original spectrum is stored in transposed
# order, with the directly-detected dimension in the Y-Axis.
#
# In the macro, the indirect planes are reprocessed so that they are
# presented for MEM without windows but with phasing and extensive zero fill.

xyz2pipe -in ft/test%03d.ft3 -z                  \
| nmrPipe -fn HT -auto                           \
| nmrPipe -fn PS -inv -hdr                       \
| nmrPipe -fn FT -inv                            \
| nmrPipe -fn ZF -inv                            \
| nmrPipe -fn SP -inv -hdr                       \
| nmrPipe -fn MULT -c 0.5 -xn 1                  \
| nmrPipe -fn ZF -zf 2 -auto                     \
| nmrPipe -fn FT                                 \
| nmrPipe -fn PS -hdr -di                        \
| nmrPipe -fn TP                                 \
| nmrPipe -fn HT -auto                           \
| nmrPipe -fn PS -inv -hdr                       \
| nmrPipe -fn FT -inv                            \
| nmrPipe -fn ZF -inv                            \
| nmrPipe -fn SP -inv -hdr                       \
| nmrPipe -fn MULT -c 0.5 -xn 1                  \
| nmrPipe -fn ZF -zf 2 -auto                     \
| nmrPipe -fn FT                                 \
| nmrPipe -fn PS -hdr -di                        \
| nmrPipe -fn TP                                 \
| nmrPipe -fn MEM -ndim 2 -report 2              \
    -sigma 1520 -alpha 0.0001 -eScale 0.1        \
    -xconv EM -xcQ1 10 -yconv EM -ycQ1 15        \
| pipe2xyz -out ft/mem%03d.ft3 -z
