#!/bin/csh

#
# Example STD processing script for spectra with solvent in the center.

set d = .
set c = com

if ($#argv >= 1) then
   set d = $1
endif

if ($#argv >= 2) then
   set c = $2
endif

nmrPipe -in $d/test.fid \
| nmrPipe -fn EM -lb 1.0 -c 0.5 \
| nmrPipe -fn ZF -auto -zf 3    \
| nmrPipe -fn FT                \
| nmrPipe -fn MAC -macro $c/stdph.M -all -var xP1 0.0 \
                  -reg -psMask -str psX1 10% psX2 90% psMaskX1 45% psMaskX2 55% \
| nmrPipe -fn POLY -auto -window 50 -xn 50% -nl  5% -nw 8  \
| nmrPipe -fn POLY -auto -window 50 -x1 50% -nl 95% -nw 8  \
   -out $d/test.dat -ov
