#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Scale a 1D Series by Max Height in a Region."
   echo " -in inList  [None]    Input List, Will be Scaled In-Place."
   echo " -x1 x1Loc   [0.1ppm]  Region Start."
   echo " -xn xnLoc   [-0.1ppm] Region End."
   echo " -s  sVal    [100.0]   Desired Max Val After Scaling."
   exit 0
endif 
  
set inList = (`getListArgD $argv -in -- None`)

set x1 = (`getArgD $argv -x1  0.1ppm`) 
set xn = (`getArgD $argv -xn -0.1ppm`) 
set s  = (`getArgD $argv -s    100.0`)

foreach i ($inList)
   if (-e $i) then
      set v = (`readROI -in $i -ndim 1 -x X_AXIS $x1 $xn -vec vMax -silent`)

      if (`MATH $v != 0.0` == 1) then
         set c = (`MATH $s/$v`)

         printf "Region: %s %s %s Scale: %.4e\n" $x1 $xn $i $c

         nmrPipe -fn MULT -c $c -in $i -out $i -inPlace -ov
      endif
   endif
end
