#!/bin/csh

set d = .
set i = 1

if ($#argv >= 1) then
   set d = $argv[$i]
   @ i++
endif

nmrPipe -in $d/test.dat -di \
| nmrPipe -fn COADD -axis Y -cList 1 0 -time \
  -out $d/on.dat -ov

nmrPipe -in $d/test.dat -di \
| nmrPipe -fn COADD -axis Y -cList 0 1 -time \
  -out $d/off.dat -ov

sethdr $d/on.dat  -ndim 1
sethdr $d/off.dat -ndim 1

nmrPipe -in $d/on.dat -out $d/mask.dat -fn SET -c 1.0 -ov

addNMR -in1 $d/off.dat -in2 $d/on.dat -out $d/dif.dat -sub

while ($i < $#argv)
   if (`string csame $argv[$i] None`) then
      break
   endif

   set x1 = $argv[$i]
   @ i++
   set xn = $argv[$i]
   @ i++

   nmrPipe -in $d/mask.dat -out $d/mask.dat -inPlace \
           -fn SET -c 0.0 -x1 $x1 -xn $xn
end
