#!/bin/csh

set inName  = (`getArgDD $argv -in  _inName_  spec.fid`)
set outName = (`getArgDD $argv -out _outName_ spec.ft1`)

set graphFlag = 1

if (`flagLoc $argv -graph`) then
   set graphFlag = 1
endif

if (`flagLoc $argv -nograph`) then
   set graphFlag = 0
endif

set xAPOD = (`getArgDD $argv -xAPOD _xAPOD_   EM`)
set xQ1   = (`getArgDD $argv -xQ1   _xQ1_   1.0`)
set xQ2   = (`getArgDD $argv -xQ2   _xQ2_   0.0`)
set xQ3   = (`getArgDD $argv -xQ3   _xQ3_   0.0`)
set xELB  = (`getArgDD $argv -xELB  _xELB_  0.0`)
set xGLB  = (`getArgDD $argv -xGLB  _xGLB_  0.0`)
set xGOFF = (`getArgDD $argv -xGOFF _xGOFF_ 0.0`)
set xC1   = (`getArgDD $argv -xC1   _xC1_   1.0`)
set xP0   = (`getArgDD $argv -xP0   _xP0_   0.0`)
set xP1   = (`getArgDD $argv -xP1   _xP1_   0.0`)

set xZFARG   = (`getArgDD $argv -xZFARG   _xZFARG_   zf=1,auto`)
set xEXTX1   = (`getArgDD $argv -xEXTX1   _xEXTX1_   0%`)
set xEXTXN   = (`getArgDD $argv -xEXTXN   _xEXTXN_   100%`)
set xBASEARG = (`getArgDD $argv -xBASEARG _xBASEARG_ POLY,auto`)

if (`string csame $xBASEARG Auto`) then
   set xBASEARG = POLY,auto
endif

if (`string csame $xC1 Auto`) then
   set v = (`printf "%f" $xP1`)
   set i = (`IMATH "abs($v) < 10.0"`)

   if ($i == 0) then
      set xC1 = 1.0
   else
      set xC1 = 0.5
   endif
endif

set xZFInfo   = (`expandArg  $xZFARG`)
set xBaseInfo = (`expandArg0 $xBASEARG`)

set xP0F = (`nmrPrintf %.2f $xP0`)
set xP1F = (`nmrPrintf %.2f $xP1`)

nmrPrintf "%s" "#\!/bin/csh\n"
nmrPrintf "%s" "\n"

nmrPrintf "%s" "nmrPipe -in $inName \\\n"
nmrPrintf "%s" "| nmrPipe -fn APOD -qName $xAPOD -q1 $xQ1 -q2 $xQ2 -q3 $xQ3 -elb $xELB -glb $xGLB -goff $xGOFF -c $xC1 \\\n"
nmrPrintf "%s" "| nmrPipe -fn ZF $xZFInfo \\\n"
nmrPrintf "%s" "| nmrPipe -fn FT -verb \\\n"
nmrPrintf "%s" "| nmrPipe -fn PS -p0 $xP0F -p1 $xP1F -di \\\n"
nmrPrintf "%s" "| nmrPipe -fn EXT -x1 $xEXTX1 -xn $xEXTXN -sw \\\n"
nmrPrintf "%s" "| nmrPipe -fn $xBaseInfo \\\n"
nmrPrintf "%s" "  -out $outName -ov\n"
nmrPrintf "\n"

nmrPrintf "%s" "# nmrDraw -in $outName "'`'"getGeom -west -xAdj 100 -yAdj 200"'`'" &\n"
nmrPrintf "%s" "# sleep 3\n"
