#!/bin/csh

set inName   = (`getArgDD $argv -in      _inName_  ft/spec%03d.ft3`)
set specType = (`getArgDD $argv -type    _type_    NMR`)
set projHi   = (`getArgDD $argv -projHi  _projHi_  Full`)
set stripHi  = (`getArgDD $argv -stripHi _stripHi_ 3.00@`)

set graphFlag  = (`getLogArgDD $argv -graph      -nograph      _graphFlag_ 1 0`)
set drawStrips = (`getLogArgDD $argv -drawStrips -nodrawStrips _drawStrips_ 1 0`)

nmrPrintf "%s" "#\!/bin/csh\n"
nmrPrintf "%s" "\n"

nmrPrintf "%s" "set hiInfo = ("'`'"getSpecHi.tcl -in $inName -hi $stripHi"'`'")\n"
nmrPrintf "%s" "\n"

if (`string csame $specType HC`) then
   nmrPrintf "%s" "proj3D.tcl -in $inName -abs\n"
   nmrPrintf "%s" "peakHN.tcl -in $inName -out proj.tab -proj -hi $projHi -type HC\n"
   nmrPrintf "%s" "\n"
   nmrPrintf "%s" "vj_scroll.tcl -tab proj.tab -pair -lab INDEX -xVar X_PPM -yVar Y_PPM \\\n"
   nmrPrintf "%s" "              -noyGrid -colorB dimGray -colorW black -fg black -shade \\\n"
   nmrPrintf "%s" "              -in $inName "'$'"hiInfo &\n"
else
   nmrPrintf "%s" "proj3D.tcl -in $inName -abs\n"
   nmrPrintf "%s" "peakHN.tcl -in $inName -out proj.tab -proj -hi $projHi\n"
   nmrPrintf "%s" "\n"
   nmrPrintf "%s" "vj_scroll.tcl -tab proj.tab -pair -lab INDEX \\\n"
   nmrPrintf "%s" "              -noyGrid -colorB dimGray -colorW black -fg black -shade \\\n"
   nmrPrintf "%s" "              -in $inName "'$'"hiInfo &\n"
endif

